package main

import (
	"audio_transcoder/job"
	"flag"
	"fmt"

	"audio_transcoder/internal/config"
	"audio_transcoder/internal/handler"
	"audio_transcoder/internal/svc"

	"github.com/zeromicro/go-zero/core/conf"
	"github.com/zeromicro/go-zero/rest"
)

var configFile = flag.String("f", "etc/transcoder.yaml", "the config file")

func main() {
	flag.Parse()

	var c config.Config
	conf.MustLoad(*configFile, &c)

	server := rest.MustNewServer(c.RestConf)
	defer server.Stop()

	ctx := svc.NewServiceContext(c)
	defer ctx.CloseHandler()
	//处理任务
	go job.AutoTranscoder(ctx)
	//注册接口
	handler.RegisterHandlers(server, ctx)

	fmt.Printf("Starting server at %s:%d...\n", c.Host, c.Port)
	server.Start()
}
